Treg's blog

November 24th, 2010

Plesk 9.x overuse policy, server wide fix

Posted by Treg in Linux, Tech

Parallels implemented an overuse policy since version 9 of its Plesk control panel for Linux. When you upgrade a Linux Plesk server (8.x) to version 9.x, all resellers, clients an domains get the “can’t overuse” policy. So, all objects which exceed a certain value get suspended. This isn’t quite what we/you want. (after the night, your overusing resellers/clients/domains will be suspended!)

So, the solution is quite simple: just set all the objects on “allow overuse”… except that this can’t be done serverwide. If you have 300 domains + 100 clients + 5 resellers, you will have to edit 405 objects manually. 🙁

The solution: you can solve this problem by executing the following scripts on the Linux box from the command line (with root privileges). The script will grant clients or domains the “allow overuse” policy.

  • Clients:

    # for i in `cat /etc/passwd |grep "/var/www/vhosts" | awk -F":" '{print $1}'`; do echo -n "$i  --  "; /usr/local/psa/bin/client_pref --update $i -overuse notify ; echo ""; done
  • Domains:

    # mysql -u'admin' -p"$(cat /etc/psa/.psa.shadow)" -D'psa' -NBe 'select name from domains order by name' | while read dom; do $(grep '^PRODUCT_ROOT_D' /etc/psa/psa.conf | awk '{print $2}')/bin/domain_pref -u "${dom}" -overuse notify; done

2 Responses to ' Plesk 9.x overuse policy, server wide fix '

Subscribe to comments with RSS or TrackBack to ' Plesk 9.x overuse policy, server wide fix '.


  1. on March 23rd, 2019 at 13:16

    movie review buy

    Write resume services. Write my essay editing services. Edit my thesis online editing help, Write my essay online editing help.


  2. on May 1st, 2019 at 16:46

    Powersuite Crack

    buy cheap adobe creative suite buy cheap adobe creative suite. buy cheap adobe creative suite, buy cheap adobe creative suite.

Leave a reply